#
# spec file for package redbook (Version 10.0)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-32bit glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libgssapi libmudflap libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel


Name:           redbook
License:        Any commercial
Group:          Documentation/Other
AutoReqProv:    off
Version:        10.0
Release:        13.16
Summary:        IBM redbooks and redpieces related to Linux and your Hardware
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source:         README.other
Source390:      README.s390
Source391:      README.s390x
Source:         redbook.tar.bz2
# the tar ball only contains redbook pdfs from the IBM web site.  it's
# of no use to have them duplicate on the CD.
NoSource:       0

%description
This package contains documentation from http://www.redbooks.ibm.com



%prep
%setup
if false
then
    # update the redbooks from the IBM web site
    grep --no-filename 'http.*\.pdf$' $RPM_SOURCE_DIR/README.* | sort -u | xargs wget -N -x
fi

%install
    rm -rf $RPM_BUILD_ROOT
    case %_arch in
	s390*)
	    README=README.%_arch
	    ;;
	*)
	    README=README.other;;
    esac
    REDBOOKS="$(grep 'http.*\.pdf$\|http.*\.tgz$' $RPM_SOURCE_DIR/$README | cut -d: -f2-)"
    # usually the HOWTOs are installed in this subdir of /docu, to find
    # other documentation in the HOWTO haystack.  if there is no other
    # docu for some arch, set this to /docu, to avoid a directory
    # containing just a subdir.
    REDBOOKDIR=$RPM_DOC_DIR/redbook
    # add the HOWTOs
    mkdir -p $RPM_BUILD_ROOT/$REDBOOKDIR
    for redbook in $REDBOOKS
    do
      cp -a ./$redbook $RPM_BUILD_ROOT/$REDBOOKDIR
    done
    cp -a $RPM_SOURCE_DIR/$README $RPM_BUILD_ROOT/$REDBOOKDIR/README.SuSE
    # sometimes ownership and permissions in the tar files are broken
    # And now the data is very secure because nobody can read it!!!!
    #chown root:root -R $RPM_BUILD_ROOT
    #chmod u=rw,go=r -R $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%_docdir/%name

%changelog
* Mon May 05 2008 - wengel@suse.de
- update of Device Drivers, Features and Commands -> [November, 2007]
- update of Device Drivers, Features and Commands (development stream) -> [May, 2008]
- update of Using Dump Tools -> [November, 2007]
- added example scripts for Execute-in-Place
* Mon Mar 05 2007 - wengel@suse.de
- update of Device Drivers, Features and Commands -> [2007-02-28]
- update of How to use FC-attached SCSI devices with Linux on System z -> [2007-02-28]
- update of Using the Dump Tools -> [2007-02-28]
* Mon Jan 15 2007 - wengel@suse.de
- fixed typo in README.s390x for build
* Fri Jan 12 2007 - wengel@suse.de
- update of Device Drivers, Features and Commands -> [2006-11-17]
- update of How to Improve Performance with PAV -> [2006-11-17]
- added How to use FC-attached SCSI devices with Linux on System z [2006-11-17]
* Mon Apr 10 2006 - wengel@suse.de
- update of Device Drivers, Features and Commands -> March 28, 2006
  new file is l26cdd01.pdf, old file l26cdd00.pdf
* Wed Feb 22 2006 - wengel@suse.de
- fixed build (could not find pdf file which is listed in README.s390x during build)
* Mon Feb 20 2006 - wengel@suse.de
- update version to 10.0 (because of SLES10)
- updated redbooks:
   - Using the Dump Tools - SC33-8290-00 [2005-10-14]
   - Device Drivers, Features, and Commands - SC33-8289-00 [2005-10-14]
   - How to use Execute-in-Place Technology with Linux on z/VM - SC33-8287-00 [2005-12-14]
   - How to Improve Performance with PAV - SC33-8292-00 [2005-12-14]
- added redbooks:
   - Running Linux on IBM System z9 and zSeries under z/VM
   - Linux for IBM System z9 and IBM zSeries
   - IBM System z9 109 Technical Introduction
   - IBM System z9 109 Technical Guide
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Nov 03 2005 - dmueller@suse.de
- don't build as root
* Fri May 06 2005 - wengel@suse.de
- fixed typo in README.s390
* Wed May 04 2005 - wengel@suse.de
- updated redbooks:
   - How to Improve Performance with PAV [2004-07-30]
   - How to use Execute-in-Place Technology with Linux on z/VM [2005-03-23]
   - Linux for zSeries and S/390 Using the Dump Tools [2004-09-23]
   - Linux on zSeries Device Drivers, Features, and Commands [2005-03-23]
* Wed May 19 2004 - wengel@suse.de
- added more rebooks that are mentioned in the SUSE SLES PREP manual
* Mon May 03 2004 - wengel@suse.de
- updated device drivers manual for kernel 2.6 (#39698)
* Fri Feb 06 2004 - kukuk@suse.de
- Remove bogus/wrong chown/chmod hack, use %%defattr
* Sat Aug 02 2003 - aj@suse.de
- Fix chown invocation.
* Mon Oct 28 2002 - froh@suse.de
- updated device drivers manual and dump tool manual to 2002-10-24
  code drop (#21322, #22074)
* Mon Sep 30 2002 - froh@suse.de
- created package
